package NisumWebTest.PageObject;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import java.time.Duration;

public class NisumPage {
    WebDriver obj;
    Actions mouse;
    WebDriverWait wait;
    // locators
    @FindBy(css="textarea[class='gLFyf']")
    WebElement googleSearchBar;
    @FindBy(css = "a[href='https://www.nisum.com/']")
    WebElement nisumWeb;
    @FindBy(xpath = "(//a[@href='https://www.nisum.com/careers'])[1]")
    WebElement globalCareers;
    @FindBy(xpath = "(//a[@href='https://www.nisum.com/careers/careers-pakistan'])[1]")
    WebElement pakistanCareer;
    @FindBy(xpath = "//div[@class='hhs-rich-text-in']//h1")
    WebElement hiring;
    @FindBy(xpath = "(//a[@href='javascript:void(0);'])[3]")
    WebElement declineAll;
    @FindBy(xpath = "(//input[@class='gNO89b'])[2]")
    WebElement searchButton;

    public NisumPage(WebDriver obj)
    {
        this.obj=obj;
        PageFactory.initElements(obj,this);
        mouse = new Actions(obj);
        wait = new WebDriverWait(obj, Duration.ofSeconds(10));
    }    // action methods.

      public  void searchNisum(String search)
      {
          wait.until(ExpectedConditions.visibilityOf(googleSearchBar));
          googleSearchBar.sendKeys(search);
          searchButton.click();
      }
      public void clickOnNisum()
      {
          nisumWeb.click();
      }
      public void click_pakistan_career()
      {
          declineAll.click();
          mouse.moveToElement(globalCareers).build().perform();
          wait.until(ExpectedConditions.elementToBeClickable(pakistanCareer));
          mouse.moveToElement(pakistanCareer);
          pakistanCareer.click();
      }
      public String hiringValidation()
      {
          wait.until(ExpectedConditions.visibilityOf(hiring));
          return hiring.getText();
      }
}