package POM_Assigment.PageTest;

import POM_Assigment.PageObjects.LoginPage;
import POM_Assigment.Utils.BaseTest;
import org.testng.Assert;
import org.testng.annotations.Test;

public class LoginTest extends BaseTest {

    @Test
    void testEmptyField() {
        obj.get("https://rahulshettyacademy.com/client/auth/login");

        LoginPage loginObject = new LoginPage(obj);


        loginObject.inputEmail("");
        loginObject.inputPassword("Password123");
        loginObject.clickLogin();


        String actualTitle = obj.getTitle();
        String expectedTitle = "Login";
        Assert.assertEquals(actualTitle, expectedTitle);


    }

    @Test
    void validateSuccessfulLogin() {
        obj.get("https://rahulshettyacademy.com/client/auth/login");

        LoginPage loginObject = new LoginPage(obj);


        loginObject.inputEmail("kazizain2001@gmail.com");
        loginObject.inputPassword("Password123");
        loginObject.clickLogin();


        String actualTitle = obj.getTitle();
        String expectedTitle = "Dashboard";
        Assert.assertEquals(actualTitle, expectedTitle);
    }

    @Test
    void validateToNotLoginInvalidUser() {
        obj.get("https://rahulshettyacademy.com/client/auth/login");

        LoginPage loginObject = new LoginPage(obj);

        // Enter invalid credentials
        loginObject.inputEmail("kazizain201@gmail.com");
        loginObject.inputPassword("Password123");
        loginObject.clickLogin();

        String actualTitle = obj.getTitle();
        String expectedTitle = "Login";
        Assert.assertEquals(actualTitle, expectedTitle);



    }
}
