package POM_Structure_code.PageObjectClasses;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.Duration;

public class HomePage
{


    // Web driver object create

   protected WebDriver obj;

    private By WelcomeMessage = By.xpath("//div[@class='login-container']//h2");
    private By LogoutButton = By.className("logout-btn");


    // create constructor

    public HomePage(WebDriver obj)
    {

        this.obj=obj;
    }

    // methods.

    public String getText()
    {
        WebDriverWait wait = new WebDriverWait(obj, Duration.ofSeconds(10));
        try
        {

            WebElement element = wait.until(ExpectedConditions.visibilityOfElementLocated(WelcomeMessage));
            String fullText = element.getText();

            if (fullText.isEmpty())
            {
                throw new RuntimeException("Element text is empty!");
            }
            String[] text = fullText.split(" ");
            return text[0];
        }
        catch (Exception e)
        {
            System.err.println("Error occurred while retrieving text: " + e.getMessage());
            throw e;
        }
    }

    public void clickLogout()
    {
        obj.findElement(LogoutButton).click();
    }


}
