package POM_Structure_code.PageObjectClasses;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.Duration;

public class LoginPage {

    // driver object
    WebDriver obj;

    private By usernameF = By.id("inputUsername");
    private By passwordF = By.xpath("//input[@placeholder='Password']");
    private By loginButton = By.cssSelector(".submit.signInBtn"); // Updated this line to use cssSelector instead of className

    private By Checkbox = By.id("chkboxTwo");

    WebDriverWait wait = new WebDriverWait(obj, Duration.ofSeconds(10));

    // Constructor
    public LoginPage(WebDriver obj) {
        this.obj = obj; // this.obj means class obj assigning the parameter obj value in it.
    }

    // Methods

    public void enterUsername(String username) {
        obj.findElement(usernameF).sendKeys(username);
    }

    public void enterPassword(String password) {
        obj.findElement(passwordF).sendKeys(password);
    }

    public void clickSignButton() {

        obj.findElement(loginButton).click();
    }

    public void clickCheckBox()
    {

        wait.until(ExpectedConditions.invisibilityOfElementLocated(Checkbox));
        wait.until(ExpectedConditions.elementToBeClickable(Checkbox));
        obj.findElement(Checkbox).click();
    }

    public boolean isCheckedMethod()
    {

        wait.until(ExpectedConditions.invisibilityOfElementLocated(Checkbox));
        wait.until(ExpectedConditions.elementToBeClickable(Checkbox));
        return obj.findElement(Checkbox).isSelected();

    }



}
