package POM_Structure_code.TestClasses;

import POM_Structure_code.PageObjectClasses.HomePage;
import POM_Structure_code.PageObjectClasses.LoginPage;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;
import POM_Structure_code.Utils.BaseTest;

public class LoginTest extends BaseTest {

    // Page Object instances
    private LoginPage login;
    private HomePage home;

    @BeforeMethod
    public void setUpTest() {
        setUp();  // BaseTest setup (browser setup)
        login = new LoginPage(obj);
        home = new HomePage(obj);
    }

    @Test(dataProvider = "sendData", priority = 1)
    public void loginTest(String Username, String Password) {
        obj.get("https://rahulshettyacademy.com/locatorspractice/");

        login.enterUsername(Username);
        login.enterPassword(Password);
        login.clickSignButton();

        // Assertion logic for login
        Assert.assertEquals(Password, "rahulshettyacademy");
    }

    @Test(priority = 2)
    public void validateLogin() {
        obj.get("https://rahulshettyacademy.com/locatorspractice/");
        login.enterUsername("maaz");
        login.enterPassword("rahulshettyacademy");
        login.clickSignButton();

        String validate = home.getText();
        Assert.assertEquals(validate, "Hello");
    }

    @DataProvider
    public Object[][] sendData() {
        return new Object[][]{
                {"Zain", "rahulshettyacademy"},
                {"yawar", "rahulshettyacademy"},
                {"Haseeb", "hi"}
        };
    }

    @AfterMethod
    public void tearDownTest() {
        tearDown();  // BaseTest teardown (close the browser)
    }
}
