package RobotClass;

import java.awt.*;
import java.awt.event.KeyEvent;
import java.time.Duration;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;


public class RobotClass {
    public static void main(String[] args)
    {

        WebDriver obj = new ChromeDriver();

        try {
            // Navigate to the URL
            obj.get("https://demo.automationtesting.in/Register.html");

            // Set implicit wait
            obj.manage().timeouts().implicitlyWait(Duration.ofSeconds(50));

            // Explicit wait for the file upload button
            WebDriverWait wait = new WebDriverWait(obj, Duration.ofSeconds(50));
            WebElement FileUpload = wait.until(ExpectedConditions.presenceOfElementLocated(By.xpath("//input[@id='imagesrc']")));

            // Use sendKeys() to upload the file
            FileUpload.sendKeys("/Users/zain/Documents/SeleniumTraining/screenshot.png");

            // Optionally use Robot class for additional interactions if needed
            try {
                Robot robo = new Robot();
                robo.keyPress(KeyEvent.VK_ENTER);
                robo.keyRelease(KeyEvent.VK_ENTER);
            } catch (AWTException e) {
                e.printStackTrace();
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            // Close the browser
            obj.quit();
        }
    }
}
